Este contenido no está disponible en el idioma seleccionado.

10.3. Search Quickstarts


Description

Search for a quickstart using a search term.

Method and URL Structure

Expand
Method URL Structure
GET /api/v1/quickstarts.json?search=search_term

Request Parameters

Expand
Name Description Required Default
search Search term to use for the quickstart. Yes

cURL Command Example

$ curl -X GET https://www.openshift.com/api/v1/quickstarts.json?search=wordpress --user user@example.com 

JSON Response

The API returns information about all quickstarts that match the specified search string. See Chapter 10, Quickstarts for more information on all quickstart parameters.

{
    "data": [
        {
            "quickstart": {
                "id": "12724",
                "href": "https://www.openshift.com/quickstarts/wordpress-3x",
                "name": "WordPress 3.x",
                "updated": "1365011887",
                "summary": "A semantic personal publishing platform written in PHP with a MySQL back end, focusing on aesthetics, web standards, and usability.  Currently using version 3.5.1.\n\nThe first time you access the app you'll be asked to set a username and password and give your blog a name.  Be sure to track security updates from upstream.",
                "body": "<p>A semantic personal publishing platform written in PHP with a MySQL back end, focusing on aesthetics, web standards, and usability.  Currently using version 3.5.1.</p>\n\n<p>The first time you access the app you'll be asked to set a username and password and give your blog a name.  Be sure to track security updates from upstream.</p>",
                "cartridges": "php-*, mysql-*",
                "website": "http://wordpress.org",
                "tags": "blog, cms, instant_app, not_scalable",
                "language": "PHP",
                "initial_git_url": "git://github.com/openshift/wordpress-example.git",
                "provider": "openshift"
            }
        }
    ]
}

Red Hat logoGithubredditYoutubeTwitter

Aprender

Pruebe, compre y venda

Comunidades

Acerca de la documentación de Red Hat

Ayudamos a los usuarios de Red Hat a innovar y alcanzar sus objetivos con nuestros productos y servicios con contenido en el que pueden confiar. Explore nuestras recientes actualizaciones.

Hacer que el código abierto sea más inclusivo

Red Hat se compromete a reemplazar el lenguaje problemático en nuestro código, documentación y propiedades web. Para más detalles, consulte el Blog de Red Hat.

Acerca de Red Hat

Ofrecemos soluciones reforzadas que facilitan a las empresas trabajar en plataformas y entornos, desde el centro de datos central hasta el perímetro de la red.

Theme

© 2026 Red Hat
Volver arriba